Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 545254 - x11-drivers/xf86-video-virtualbox: build failure w/gcc-5
Summary: x11-drivers/xf86-video-virtualbox: build failure w/gcc-5
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-5
  Show dependency tree
 
Reported: 2015-04-01 17:28 UTC by SpanKY
Modified: 2015-07-16 09:22 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to allow configure to accept gcc version 5.x (file_545254.txt,534 bytes, patch)
2015-05-01 19:16 UTC, Casey Webster
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description SpanKY gentoo-dev 2015-04-01 17:28:54 UTC
looks like it has a naive version test

>>> Configuring source in /var/tmp/portage/x11-drivers/xf86-video-virtualbox-4.3.26/work/VirtualBox-4.3.26 ...
Checking for environment: Determined build machine: linux.amd64, target machine: linux.amd64, OK.
Checking for kBuild: found, OK.
Checking for gcc:
  ** gcc version 5.0.0-alpha20150322 found, expected gcc 3.x with x>1 or gcc 4.x with 0<x<10!
Check /var/tmp/portage/x11-drivers/xf86-video-virtualbox-4.3.26/work/VirtualBox-4.3.26/configure.log for details
 * ERROR: x11-drivers/xf86-video-virtualbox-4.3.26::gentoo failed (configure phase):
Comment 1 Casey Webster 2015-05-01 19:16:16 UTC
Created attachment 402400 [details, diff]
Patch to allow configure to accept gcc version 5.x

Here is a patch that changes the gcc version check to allow gcc 5.x in addition to the other ranges.  Virtualbox does compile with gcc 5.1, so this was a naive check.
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2015-07-16 09:22:11 UTC
Fixed in >=app-emulation/virtualbox-4.3.30